AuthThe Elastic Stack includes Elastic's core products such as Elasticsearch, Kibana, Logstash, and Beats.AvailabilityExperimental since 9.3This functionality is experimental and is not ready for production usage. Experimental features may change or be removed at any time. Elastic will work to fix any issues, but experimental features are not subject to the support SLA of official GA features. Specific Support terms apply.Unless stated otherwise on the page, this functionality is available when your Elastic Stack is deployed on Elastic Cloud Hosted, Elastic Cloud Enterprise, Elastic Cloud on Kubernetes, and self-managed environments.This documentation corresponds to the latest patch available for each minor version. If you're not using the latest patch, check the release notes for changes.
Deprecated. Use POST /api/fleet/managed_integrations instead. Create a managed integration
additional_datastreams_permissionsstring[] · max items: 100nullable
Additional data stream permissions that will be added to the agent policy.
cloud_connectorobjectnullable
cloud_connector_idstring · max length: 256
ID of an existing cloud connector to reuse. If not provided, a new connector is created. Requires enabled: true and cannot be combined with name.
enabledboolean · default: false
Set to true to attach a cloud connector to this policy. Must be true to set any of cloud_connector_id, name, or target_csp.
namestring · min length: 1 · max length: 255
Name for a new cloud connector. If not provided, a name is generated automatically from the credentials. Requires enabled: true and only applies when creating a new connector (cannot be combined with cloud_connector_id).
target_cspenum
Target cloud service provider. If not provided, the provider is detected automatically from the inputs. Requires enabled: true.
Values:awsazuregcp
create_dataset_templatesboolean
When true, install dedicated index templates for streams with a custom data_stream.dataset. Defaults to true for input packages, false for integration packages.
descriptionstring · max length: 2048
Policy description.
forceboolean
Force package policy creation even if the package is not verified, or if the agent policy is managed.
global_data_tagsobject[] · max items: 100
namestring · max length: 1024required
Name of the custom field. The name cannot contain spaces.
valueunionstring | numberrequired
Value of the custom field.
idstring · max length: 255
Policy unique identifier.
inputsmapstring to object
Package policy inputs. Refer to the integration documentation to know which inputs are available.
<string>object
conditionstring · max length: 10000nullable
Agent condition expression to evaluate whether to apply this input.
deprecatedobject
descriptionstring · max length: 4096required
replaced_bymapstring to string
<string>string · max length: 1024
sincestring · max length: 50
enabledboolean
Enable or disable that input. Defaults to true (enabled).
streamsmapstring to object
Input streams. Refer to the integration documentation to know which streams are available.
<string>object
conditionstring · max length: 10000nullable
Agent condition expression to evaluate whether to apply this stream.
deprecatedobject
descriptionstring · max length: 4096required
replaced_bymapstring to string
<string>string · max length: 1024
sincestring · max length: 50
enabledboolean
Enable or disable that stream. Defaults to true (enabled).
var_group_selectionsmapstring to string
Variable group selections. Maps var_group name to the selected option name within that group.
<string>string · max length: 1024
varsmapstring to anyOf
Input/stream level variable. Refer to the integration documentation for more information.
<string>unionanyOf · default: null
Any of:
string[]
number[]
idstring · max length: 255required
isSecretRefbooleanrequired
varsmapstring to anyOf
Input/stream level variable. Refer to the integration documentation for more information.
<string>unionanyOf · default: null
Any of:
string[]
number[]
idstring · max length: 255required
isSecretRefbooleanrequired
namestring · max length: 255required
Unique name for the policy.
namespacestring · max length: 100
Policy namespace. When not specified, it inherits the agent policy namespace.
packageobjectrequired
experimental_data_stream_featuresobject[] · max items: 100
data_streamstring · max length: 1024required
featuresobjectrequired
doc_value_only_numericboolean
doc_value_only_otherboolean
synthetic_sourceboolean
tsdbboolean
fips_compatibleboolean
namestring · max length: 255required
Package name
requires_rootboolean
titlestring · max length: 255
versionstring · max length: 50required
Package version
policy_templatestring · max length: 256
The policy template to use for the managed integration. If not provided, the default policy template is used.
var_group_selectionsmapstring to string
Variable group selections. Maps var_group name to the selected option name within that group.
<string>string · max length: 1024
varsmapstring to anyOf
Input/stream level variable. Refer to the integration documentation for more information.